#!/bin/bash

SHERPA_VERSION=1.1.2

LHAPDF_VERSION=5.4.0

ROOT_VERSION=5.19.04

LCG_PLATFORM=slc4_ia32_gcc34

testdir=`pwd`

#The paths may need to be corrected:
#
SHERPA_PATH=$testdir/../1.1.2-lhapdf-$LHAPDF_VERSION/$LCG_PLATFORM

LHAPDF_PATH=/afs/.cern.ch/sw/lcg/external/MCGenerators/.work/external/MCGenerators/lhapdf/${LHAPDF_VERSION}/${LCG_PLATFORM}
#
progexe=${SHERPA_PATH}/bin/Sherpa

mkdir -p LHC/Result

## Set the runtime environment:

export SHERPA_LIBRARY_PATH=$SHERPA_PATH/lib/SHERPA-MC
export SHERPA_INCLUDE_PATH=$SHERPA_PATH/include/SHERPA-MC
export SHERPA_SHARE_PATH=$SHERPA_PATH/../share/SHERPA-MC

export EXTERNAL=/afs/cern.ch/sw/lcg/external
export ROOTSYS=$EXTERNAL/root/${ROOT_VERSION}/${LCG_PLATFORM}/root

export LHAPATH=$LHAPDF_PATH/../share/PDFsets

export LD_LIBRARY_PATH=$SHERPA_LIBRARY_PATH:$ROOTSYS/lib


# First run: initialization

$progexe PATH=LHC/                       

cd LHC/ && ./makelibs  &&  cd ..

# Actual run:

$progexe PATH=./LHC
exit
